int  i=1;

void setup() {
  // put your setup code here, to run once:
  

  /*Beállítjuk a lábak szerepét ami lehet kimenet vagy bemenet, 
   * a mi esetünkben kimenet
   */
   for(int i=2; i<=6; i++){
pinMode(i, OUTPUT); 
   }

}

void loop() {
  // put your main code here, to run repeatedly:


if(i==1){
digitalWrite(2, HIGH);   // LED1 bekapcsolasa
digitalWrite(6, HIGH);   // LED6 bekapcsolasa
delay(200);               // varakozas 200 mS

digitalWrite(2, LOW); // LED1 kikapcsolasa
digitalWrite(6, LOW); // LED6 kikapcsolasa
delay(200);           // varakozas 200 mS
}
else if(i==2){
digitalWrite(3, HIGH);   // LED2 bekapcsolasa
digitalWrite(5, HIGH);   // LED4 bekapcsolasa
delay(200);               // varakozas 200 mS

digitalWrite(3, LOW); // LED2 kikapcsolasa
digitalWrite(5, LOW); // LED4 kikapcsolasa
delay(200);  
}
else{
digitalWrite(4, HIGH);   // LED3 bekapcsolasa

delay(200);               // varakozas 200 mS

digitalWrite(4, LOW); // LED3 kikapcsolasa

delay(200);  
}

i++; //1-et adjunk hozzá minden lefutásnál

if(i==4){ //ha i=4 akkor i=1 ugorjon a fény az elejére
  i=1;
}

}
